com.hazelcast.jet

## Interface IMapJet<K,V>

- Type Parameters:
    `K` - the type of keys maintained by this map
    `V` - the type of values
  All Superinterfaces:
    BaseMap<K,V>, ConcurrentMap<K,V>, DistributedObject, IMap<K,V>, com.hazelcast.map.impl.LegacyAsyncMap<K,V>, Map<K,V>

      public interface IMapJet<K,V>
      extends IMap<K,V>

  A distributed, in-memory concurrent map implementation.

  The entries of the map are distributed across the whole cluster and partitioned by key.

  It's possible to use the map as a data source or sink in a Jet `Pipeline`, using `Sources.map(String)` or `Sinks.map(String)` and the change stream of the map can be read using `Sources.mapJournal(String, JournalInitialPosition)`.

  Since:
    3.0
  See Also:
    `IMap`, `Sources.map(String)`, `Sources.mapJournal(String, JournalInitialPosition)`, `(String)`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Method Summary

    - ### Methods inherited from interface com.hazelcast.core.IMap

      `addEntryListener, addEntryListener, addEntryListener, addEntryListener, addEntryListener, addEntryListener, addEntryListener, addEntryListener, addIndex, addInterceptor, addLocalEntryListener, addLocalEntryListener, addLocalEntryListener, addLocalEntryListener, addLocalEntryListener, addLocalEntryListener, addPartitionLostListener, aggregate, aggregate, aggregate, aggregate, clear, containsKey, containsValue, delete, entrySet, entrySet, evict, evictAll, executeOnEntries, executeOnEntries, executeOnKey, executeOnKeys, flush, forceUnlock, get, getAll, getAsync, getEntryView, getLocalMapStats, getQueryCache, getQueryCache, getQueryCache, isLocked, keySet, keySet, loadAll, loadAll, localKeySet, localKeySet, lock, lock, project, project, put, put, put, putAll, putAsync, putAsync, putAsync, putIfAbsent, putIfAbsent, putIfAbsent, putTransient, putTransient, remove, remove, removeAll, removeAsync, removeEntryListener, removeInterceptor, removePartitionLostListener, replace, replace, set, set, set, setAsync, setAsync, setAsync, setTtl, submitToKey, submitToKey, tryLock, tryLock, tryLock, tryPut, tryRemove, unlock, values, values`

    - ### Methods inherited from interface java.util.concurrent.ConcurrentMap

      `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, replaceAll`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode, isEmpty, size`

    - ### Methods inherited from interface com.hazelcast.core.BaseMap

      `isEmpty, size`

    - ### Methods inherited from interface com.hazelcast.core.DistributedObject

      `destroy, getName, getPartitionKey, getServiceName`

Copyright © 2019. All rights reserved.